import { UseQueryOptions } from 'react-query';
import type { BlockchainPropertiesDTO } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const blockchainPropertiesControllerGet: <Data = unknown>() => Promise<Data extends unknown ? BlockchainPropertiesDTO : Data>;
export declare const getBlockchainPropertiesControllerGetQueryKey: () => string[];
export declare const useBlockchainPropertiesControllerGet: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<BlockchainPropertiesDTO, Error_1, BlockchainPropertiesDTO, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BlockchainPropertiesDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BlockchainPropertiesDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BlockchainPropertiesDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BlockchainPropertiesDTO;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BlockchainPropertiesDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BlockchainPropertiesDTO;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BlockchainPropertiesDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export {};
